SlackBuilds Repository

14.2 > Network > asterisk (13.20.0)

Asterisk has a number of optional build dependencies.  If you intend to use
any analogue PSTN hardware such as a DigiumTDM400P or plan on implementing
a key system which uses the app_meetme conferencing plugin you will need to
install the dahdi-linux and dahdi-tools software and drivers before compiling
Asterisk. If you will instead use digital telephony hardware (not IP phones)
such as T1/E1 lines or a PRI, you'll need to install libpri, again before
compiling Asterisk.

Be sure to see /usr/doc/asterisk-13.13.1/sample_confs/ after installation
for any additional configuration files you may need.

If you have plans of using Asterisk with a database backend you may want to
install the alembic package. Since version 12.0 the database schemas that
Asterisk uses are being captured in the form of python script files that use
alembic to create/update database schemas. The asterisk package places these
database scripts in the /usr/doc/asterisk-13.13.1/ast-db-manage directory.

This build script supports the following flags:

* MOH : [default = no]

Set this flag to 'yes' if you would like to include some royalty-free
music on hold sound files with your installation. Setting this option
will cause the build to download some sound files from the internet.

* SOUNDS_EXTRA : [default = no]

Set this flag to 'yes' if you would like to include the extra sound package
with your installation. Setting this option will cause the build to
download some sound files from the internet.

* VM_ODBC : [default = no]

Set this flag to 'yes' if you would like to store your voicemail messages
in a database. This plugin requires the unixODBC package. This flag will
override the VM_IMAP flag if both are set to 'yes'. You will probably want
to install the alembic package to configure your database with the latest
database schemas for Asterisk.

* VM_IMAP : [default = no]

Set this flag to 'yes' if you would like to store your voicemail messages
on an IMAP server. This plugin requires the University of Washingtons
IMAP server source. This flag will be overridden by the VM_ODBC flag if
both are set to 'yes'.

* G711_NEW : [default = no]

Set this flag to 'yes' if you would like to use the newer G711 codec code.
This requires a more powerful machine than would be normally required.

* MEETME : [default = no]

Set this flag to 'yes' if you would like to build the app_meetme plugin.
This plugin is required for key style systems and conferencing using meetme.
This plugin requires the dahdi-linux package for timing purposes.

Optional dependencies: alembic, dahdi-complete, libpri, unixODBC, pjsip.

This requires: jansson

Maintained by: Christopher Walker
Keywords: asterisk,phone,voip,pstn,pots,sip,iax,voice,telephony
ChangeLog: asterisk

Homepage:
http://www.asterisk.org

Source Downloads:
asterisk-13.20.0.tar.gz (2d97a2cdee95abe80504475b7dc0073e)
imap.tar.Z (d9f7fd4e1d93ad9fca1df8717a79d1c5)

Download SlackBuild:
asterisk.tar.gz
asterisk.tar.gz.asc (FAQ)

(the SlackBuild does not include the source)

Individual Files:
README
asterisk.SlackBuild
asterisk.info
doinst.sh
slack-desc

Validated for Slackware 14.2

See our HOWTO for instructions on how to use the contents of this repository.

Access to the repository is available via:
ftp git cgit http rsync

© 2006-2018 SlackBuilds.org Project. All rights reserved.
Slackware® is a registered trademark of Patrick Volkerding
Linux® is a registered trademark of Linus Torvalds
Web Design by WebSight Designs |  Managed Hosting by OnyxLight Communications